require 'facets/core/module/redefine_method'

class Module
  private
  alias_method( :redef, :redefine_method )
end


#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
=begin test

  require 'test/unit'

  class TCModule < Test::Unit::TestCase

    def fixture_method_b; "b"; end

    redef( :fixture_method_b ) { "x" }

    def test_redef
      assert_equal( "x", fixture_method_b )
    end

  end

=end
